Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 1185
Content-Disposition: inline; filename="024-m5445x_enable_cache_store.patch"
Last-Modified: Thu, 29 Aug 2024 23:34:40 GMT
Expires: Sun, 27 Aug 2034 23:34:40 GMT
ETag: "e0b9c8033f08dd3a26ff702d0775e0cd0ab77d31"

From 96de11ad11db226423d364a75cc82c6118a18a1f Mon Sep 17 00:00:00 2001
From: Kurt Mahan <kmahan@freescale.com>
Date: Tue, 4 Dec 2007 00:04:21 -0700
Subject: [PATCH] Enable Cache Store Buffer.

LTIBName: m5445x-enable-cache-store
Signed-off-by: Kurt Mahan <kmahan@freescale.com>
---
 arch/m68k/coldfire/config.c |    2 ++
 include/asm-m68k/cfcache.h  |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

--- a/arch/m68k/coldfire/config.c
+++ b/arch/m68k/coldfire/config.c
@@ -21,6 +21,7 @@
 #include <asm/machdep.h>
 #include <asm/coldfire.h>
 #include <asm/cfcache.h>
+#include <asm/cacheflush.h>
 #include <asm/bootinfo.h>
 #include <asm/io.h>
 #include <asm/cfmmu.h>
@@ -165,6 +166,7 @@ asmlinkage void __init cf_early_init(voi
 		+ sizeof(record->data[0]) + sizeof(record->data[1]);
 
 	/* Invalidate caches via CACR */
+	flush_bcache();
 	cacr_set(CACHE_DISABLE_MODE);
 
 	/* Turn on caches via CACR, enable EUSP */
